Intrusion Prevention

IBM.AFP.Viewer.Plugin.Src.Property.Buffer.Overflow

Description

This indicates a possible attempt to exploit a heap-based buffer-overflow vulnerability in IBM AFP Viewer Plugin.
The vulnerability is located in the "npoafp32.dll" ActiveX control and may be exploited by passing an excessively long string to the "Src" property. It may allow remote attackers to execute arbitrary code in the context of the application using the affected ActiveX control. Failed exploit attempts will likely cause the program to crash, resulting in a denial-of-service condition.

Affected Products

IBM AFP Viewer Plugin 2.0.7.1
IBM AFP Viewer Plugin 3.2.1.1

Impact

System Compromise: Remote attackers can gain control of vulnerable systems.

Recommended Actions

Upgrade to version 3.4.1.7 available from the vendor's website:
http://www-1.ibm.com/support/docview.wss?rs=95&context=SRNPPZ&q=psd1*&uid=psd1P4000233